Bug 498705 - Install on system with 2 or more videocard
Install on system with 2 or more videocard
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 03:38 EDT by vadiml
Modified: 2009-11-19 06:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 06:54:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log after run X on system with 2 videocard (9.06 KB, text/plain)
2009-05-05 16:01 EDT, vadiml
no flags Details

  None (edit)
Description vadiml 2009-05-02 03:38:21 EDT
Description of problem:
Anaconda can not run graphical mode and stops with failure when we install Fedora on system with 2 videocards. 

Version-Release number of selected component (if applicable):
All versions including "Fedora 11 install DVD beta" and "Fedora 11 LiveCD beta".

How reproducible:
One should run an installation on system with 2 videocards.
  
Additional info:
X log from next VT:
Primary device is not PCI
(==) using default built-in configuration (21 lines)
(EE) FBDEV(0): FBIOPUT_VSCREENINFO: Invalid argument
(EE) FBDEV(0): mode inittiazation failed
Fatal server error:
AddScreen/ScreenInit failed for driver 0

My current Hardware:
Motheboard: ASUS M4A79 Deluxe (AMD SB 750 chipset)
Videocard: 2 x ATI x550 (RV370 chip)

I have also come across this problem on hardware:
ASUS M2N Deluxe (nForse4)  + 2 x ATI x550;
ASRock NF3 (nForce3) + ATI R280 + 3dfx Banshee
ASUS P4P800  + ATI R300 + S3 Virge
Comment 1 vadiml 2009-05-05 16:01:57 EDT
Created attachment 342531 [details]
log after run X on system with 2 videocard

This log created after install Fedora 11b on system, but it have errors same as install full log.

P.S. I takeout one videocart for install Fedora11b and it insert after full installation.
Comment 2 Bug Zapper 2009-06-09 10:59:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2009-11-05 13:28:18 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 vadiml 2009-11-07 07:52:11 EST
I have downloaded Fedora 12 Beta using http://torrent.fedoraproject.org/torrents//Fedora-12-Beta-x86_64-DVD.torrent

Now the installation process is ok. Anakonda is run in graphical mode on first videocard. Picture automaticaly is displayed over DVI port (the old version with single videocard wanted to use S-Video while a monitor was connected over DVI).

Hardware: ASUS M4A79 Deluxe + 2 x Radeon x550.

Note You need to log in before you can comment on or make changes to this bug.